NAME
	m_delete - delete entries in a mapping and return a copy

SYNOPSIS
	mapping m_delete(mapping map|int foobar, mixed index)

DESCRIPTION
	This function is used to remove an entry in a mapping.

	The first argument `map' should be the mapping you want to remove
	entries from.

	The second argument `index' should be the index part of the mapping
	pair you want to remove from the mapping.

	If the first argument is given as an integer, 0 is returned.

NOTA BENE
	The difference to m_delkey is that m_delete will not modify the
	original map and returns a modified copy where m_delkey removes the
	index from the original map. Using m_delkey is thus preferred.

SEE ALSO
	mkmapping, m_indexes, m_values, m_delkey, mappingp
